ApiHostMaintenanceResponse (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiHostMaintenanceResponse

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHostMaintenanceResponse

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiHostMaintenanceResponse
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHostMaintenanceResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ApiHostMaintenanceResponse` | `errorMessage(String errorMessage)`
    `String` | `getErrorMessage()` The error message captures RunTime Exception messages when maintenance mode operation fails to execute on the host.
    `ApiHostRef` | `getHostRef()` Host ref contains Host Id and Host Name of the host that needs to go into the Maintenance mode
    `Boolean` | `getSuccess()` success is true if host enters into maintenance and false otherwise
    `int` | `hashCode()`
    `ApiHostMaintenanceResponse` | `hostRef(ApiHostRef hostRef)`
    `void` | `setErrorMessage(String errorMessage)`
    `void` | `setHostRef(ApiHostRef hostRef)`
    `void` | `setSuccess(Boolean success)`
    `ApiHostMaintenanceResponse` | `success(Boolean success)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHostMaintenanceResponse

          public ApiHostMaintenanceResponse()

  - ### Method Detail

    - #### success

          public ApiHostMaintenanceResponse success(Boolean success)

    - #### getSuccess

          public Boolean getSuccess()

      success is true if host enters into maintenance and false otherwise
      Returns:
        success

    - #### setSuccess

          public void setSuccess(Boolean success)

    - #### hostRef

          public ApiHostMaintenanceResponse hostRef(ApiHostRef hostRef)

    - #### getHostRef

          public ApiHostRef getHostRef()

      Host ref contains Host Id and Host Name of the host that needs to go into the Maintenance mode
      Returns:
        hostRef

    - #### setHostRef

          public void setHostRef(ApiHostRef hostRef)

    - #### errorMessage

          public ApiHostMaintenanceResponse errorMessage(String errorMessage)

    - #### getErrorMessage

          public String getErrorMessage()

      The error message captures RunTime Exception messages when maintenance mode operation fails to execute on the host.
      Returns:
        errorMessage

    - #### setErrorMessage

          public void setErrorMessage(String errorMessage)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.